import {expect} from "chai"
import {LogEntry} from "../../../source/logging/logentry.mjs";


describe('Log', function () {

    describe('new Log', function () {
        it('should return instanceof Log', function () {
            expect(new LogEntry(1, 'a', 'b', 'c')).to.instanceOf(LogEntry);
        });
    });

    describe('Log.loglevel', function () {

        let log;

        beforeEach(function () {
            log = new LogEntry(1, false, 'test', 99, {a: true});
        })

        it('should return loglevel 1', function () {
            expect(log.getLogLevel()).to.be.equal(1)
        });

        it('should return arguments', function () {
            expect(log.getArguments()).to.have.deep.members([false, 'test', 99, {a: true}])
        });
    });

});